glab(1)

NAME
glab-auth - Manage authentication for glab.

SYNOPSIS
glab auth [flags]

DESCRIPTION
Manages authentication for glab against one or more GitLab instances. Use these commands to log in, log out, check your authentication status, and configure glab as a credential helper for Git and Docker.

glab can authenticate with a personal access token, an OAuth token from a web flow, or a CI job token when running in a GitLab CI/CD job.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

SEE ALSO
glab(1), glab-auth-configure-docker(1), glab-auth-docker-helper(1), glab-auth-dpop-gen(1), glab-auth-login(1), glab-auth-logout(1), glab-auth-status(1)